﻿@page
@model SubscriptionModel
@{
    ViewData["Title"] = "لیست اشتراک ها";
    ViewData["ActivePage"] = ManageNavPages.Subscription;
}

@section Styles{
    <environment include ="Development">
        <link href="~/css/Grid.css" rel="stylesheet" />
    </environment>
    <environment exclude="Development">

        <link href="~/Publish/Grid.min.css" rel="stylesheet" />
    </environment>

}

<h6 class="m-b-20">@ViewData["Title"]</h6>

<div id="MySubscriptions">
    <form method="post"></form>
    <div class="table-responsive-sm UserOrder">
        <table class="table table-hover">
            <thead>
                <tr>
                    <th scope="col">شناسه</th>
                    <th scope="col">تاریخ  خرید</th>
                    <th scope="col">تاریخ انقضا</th>
                    <th scope="col">عنوان اشتراک</th>
                    <th scope="col">قیمت</th>
                    <th scope="col">تعداد قرارداد ایجاد شده</th>
                    <th scope="col">وضعیت پرداخت</th>

                </tr>
            </thead>
            <tbody>
                <tr>
                    <td colspan="7"><img src="~/Images/Loader/ajax-loader.gif" /></td>
                </tr>
            </tbody>
        </table>
    </div>
</div>

@*#########################      Template          ####################################*@
<script id="grid-Subscription-Themp" type="text/x-jsrender">

    {{for userSubscriptions}}
    <tr>
        <td>
            {{:OrderId}}
        </td>
        <td>{{:Time}}</td>
        <td>{{:ExpireDate}}</td>
        <td>{{:SubscriptionTitle}}</td>
        <td>
            {{:~PriceFormat(Price)}}
        </td>
        <td>
            {{if UsageCount == null}}
            <span>0</span>
            {{/if}}
            {{if UsageCount != null}}
            {{:UsageCount}}
            {{/if}}

        </td>
        <td>
            {{if Payment}}
            <span style="color:#4CAF50;">پرداخت شده</span>
            {{/if}}
        </td>

        <td class="contract-actions"></td>
        <td id="lastChild-row"><input type="hidden" value="{{:UserSubscriptionID}}" /></td>
    </tr>
    {{/for}}

</script>



@section Scripts{

    <script>   

    $(document).ready(function () {
        getUserSubscriptions();
    });

    
    function getUserSubscriptions() {

            $.ajax({

                type: "POST",
                url: "/Identity/Account/Manage/Subscription?handler=Send",
                headers:
                {
                    "RequestVerificationToken": $('input:hidden[name="__RequestVerificationToken"]').val()
                },
                success: function (response) {

                    console.log(response)

                     var helper = {
                        PriceFormat: function (e) {
                            return e = e.toLocaleString()  + " " + " تومان ";
                        }
                      };

                    // Inject data to master grid
                    var template = $.templates("#grid-Subscription-Themp");
                    var htmlOutput = template.render(response, helper);
                    $("#MySubscriptions table tbody").html(htmlOutput);
                  
                },

            });
        }

    </script>

}
